<?php

	if(!isset($edit_setings)) $edit_setings = false;
	if($edit_setings)
	{
		$action = "index.php?module=setup_form&amp;action=update";
		$result = $dba->GetResult("SELECT login, mail, news, gender, moj_mobil, mesto, icq, msn, active FROM mobile_users WHERE ID=".$_SESSION['my_id']." limit 0, 1");
		if($result)
		{
			$row = mysql_fetch_array($result);
			$login = $row['login'];
			$mail = $row['mail'];
			$gender = $row['gender'];
			$moj_mobil = $row['moj_mobil'];
			$mlist = $row['news'];
			$mesto = $row['mesto'];
			$icq = $row['icq'];
			$msn = $row['msn'];
		}
		else 
		{
			$login = '';
			$mail = '';
			$gender = '';
			$moj_mobil = 0;
			$mlist = 0;
			$mesto = '';
			$icq = '';
			$msn = '@';
		}
	}
	else 
	{
		$action = "index.php?module_top=register";
		if(key_exists('login', $_POST) && $_POST['login']<>'') $login = $_POST['login']; else $login = '';
		if(key_exists('mail', $_POST) && $_POST['mail']<>'') $mail = $_POST['mail']; else $mail = '';
		if(key_exists('gender', $_POST) && $_POST['gender']<>'') $gender = $_POST['gender']; else $gender = 0;
		if(key_exists('moj_mobil', $_POST) && $_POST['moj_mobil']<>'') $moj_mobil = $_POST['moj_mobil']; else $moj_mobil = 0;
		if(key_exists('mlist', $_POST) && $_POST['mlist']<>'') $mlist = $_POST['mlist']; else $mlist = 0;
		if(key_exists('mesto', $_POST) && $_POST['mesto']<>'') $mesto = $_POST['mesto']; else $mesto = '';
		if(key_exists('icq', $_POST) && $_POST['icq']<>'') $icq = $_POST['icq']; else $icq = '';
		if(key_exists('msn', $_POST) && $_POST['msn']<>'') $msn = $_POST['msn']; else $msn = '@';
	}
?>

<div id="register_form01">
	
	<form name="frm" ENCTYPE="multipart/form-data" action="<?php echo $action; ?>" method="post" style="margin:0px;">	
	<div id="menu01_head">:: <?php if(!$edit_setings) echo 'registrácia'; else echo 'nastavenia' ?></div>
	
	<?php
	
		if($edit_setings)
		{
			if($_SESSION['mobile_active'] == 't')
			{
				echo "Vaše konto nie je plne aktivované! Pokiaľ konto nebude plne aktivované, NEBUDÚ VÁM PRIPOČÍTAVANÉ KREDITY!!!<br/>
				Pre aktiváciu musí byť vaša zadaná emailová adresa platná. Po kliknutí na linku <i>Pošli aktivačný email</i> Vám bude
				zaslaný aktivačný email, podľa ktorého si aktivujete svoje konto";
			}
		}
	
	?>
	
	  <?php if(isset($register_error2)) echo "<div id=\"form_popis03\">".$register_error2."</div>" ?>
	  <?php if(isset($register_error)) echo "<div id=\"form_popis03\">".$register_error."</div>" ?>
	  <div id="register_form02">
	  	<table width="80%" border='0' align="center">
		<?php if(!$edit_setings) 
		{ 
			?><tr><td width='50%' align='right'>*Prihlasovacie meno:</td><td align="left"><input id="form_field02" type="text" name="login" size="30" maxlength="15" value="<?php echo $login; ?>"/></td></tr>
		<tr><td align='right'>*Heslo:</td><td align="left"><input id="form_field02" type="password" name="pass1" size="30" maxlength="15"/></td></tr>
		<tr><td align='right'>*Overenie hesla:</td><td align="left"><input id="form_field02" type="password" name="pass2" size="30" maxlength="15"/></td></tr>
		<?php } 
			else 
			{ ?>
		<tr><td width='40%' align='right'>Prihlasovacie meno: </td><td align="left"> <?php echo "<span id=\"red\"><b>".$login."</b></span> | <a href='index.php?module=psw' id='menu01_link'>Zmena hesla</a></td></tr>"; 
			
			} ?>
			
			
		<tr>
			<td align='right'>*E-mail:</td>
			<td align="left">
				<?php
				
					if($edit_setings)
					{
						if($_SESSION['mobile_active'] == 'a')
						{
							echo $mail."<input type='hidden' name='mail' value='$mail' /><b> Vaše konto je aktivované</b>";
						}
						else 
						{
							echo '<input id="form_field02" type="text" name="mail" size="30" maxlength="30" value="'.$mail.'"/>';
							if(!fnCheckMail($mail))
							{
								echo " NEPLATNÝ EMAIL! Zadajte platnú adresu!";
							}
							else 
							{
								echo "  <br/><a href='index.php?module=send_email' class='red' style='font-size: 10pt;'><b>Pošli aktivačný email</b></a>";
							}
						}
					}
					else 
					{
						echo '<input id="form_field02" type="text" name="mail" size="30" maxlength="30" value=""/>';
					}
				
				
				?>
			</td>
		</tr>
		
		<?php
		
			if($edit_setings)
			{
				if($_SESSION['mobile_active'] == 't' && !fnCheckMail($mail))
				{
					echo '<tr><td colspan="2"><b>Zadajte prosím platnú emailovú adresu!</b></td></tr>';
				}
			}
			else 
			{
				echo '<tr><td colspan="2"><b>Zadajte prosím platnú emailovú adresu! Bude Vám na ňu doručený aktivačný email, bez ktorého nebude možné sa prihlásiť!</b></td></tr>';
			}
		
		?>
		
		<tr><td align='right'>Miesto bydliska:</td><td align="left"> <input id="form_field02" type="text" name="mesto" size="30" maxlength="20" value="<?php echo $mesto; ?>"/></td></tr>
		<tr><td align='right'>ICQ: </td><td align="left"><input id="form_field02" type="text" name="icq" size="30" maxlength="11" value="<?php echo $icq; ?>"/></td></tr>
		<tr><td align='right'>MSN:</td><td align="left"> <input id="form_field02" type="text" name="msn" size="30" maxlength="30" value="<?php echo $msn; ?>"/></td></tr>
		<tr><td align='center' colspan="2">Ak ICQ alebo MSN nemáte, resp. neviete čo tie <br/>písmenká znamenajú nechajte tieto polia prázdne.</td></tr>
		<tr><td align='right'>Pohlavie:</td><td align="left"><img src="images/male.gif" /><span id="form_popis01">muž</span><input name="gender" type="radio" value="0"<?php if($gender!=1) echo ' checked=\"checked\"';?>/><img src="images/female.gif" /><span id="form_popis01">žena</span><input name="gender" type="radio" value="1"<?php if($gender==1) echo ' checked=\"checked\"';?>/></td></tr>
	    <tr><td align='right'>*Môj mobil:</td><td align="left"><select name="moj_mobil" id="form_field02">
				      <option value='0'>Vyberte si Váš mobil</option>
				      <?php
				      $query = "SELECT ID, nazov FROM mobile_mobil WHERE ID<>-1 ORDER BY `nazov` ASC";
				      $result = $dba->GetResult($query);
				      while($row=mysql_fetch_array($result))
				      {
							echo "<option value='".$row['ID']."'";
							if($row['ID'] == $moj_mobil) echo " selected=\"selected\"";
							echo ">".$row['nazov']."</option>";
				      }
				      ?>
			      </select></td></tr>
		<tr><td align='center' colspan="2" class='red'><b>Pokiaľ sa v zozname nenachádza Váš mobil,<br /> vyberte si prosím telefón s rovnakým rozlíšením displeja ako má Váš telefón.</b> <br/>Telefóny sú postupne dopĺňané.</td></tr>
		<tr><td align='right'>Váš obrázok: </td><td align="left"><input type="file" name="avatar" id="form_field02" size="30"/></td></tr>
		<?php if($edit_setings) echo "<tr><td colspan='2'>Max rozmery obrázku sú 80x80px, formát .jpg a maximálna veľkosť je 15kB</td></tr>"; ?>
        <tr><td align='right'><span id="form_popis01">Chcem dostávať mailom informácie<br /> o novinkách na 4mobile.</span></td><td align="left">
        <input name="mlist" type="checkbox" value="1" <?php if($mlist==1) echo ' checked=\"checked\"';?>></td></tr>
    <?php if(!$edit_setings) { ?>
    <tr><td colspan="2">
    <div id="form_popis02"><input id="form_button01" type="submit" name="Submit" value="OK">&nbsp;<input id="form_button01" type="reset" name="reset" value="Reset"></div>
	</form>
	
	<div id="form_popis02">Polia označené * sú povinné!<br />Váš obrázok musí byť .jpg s max rozmermi 80x80px a manší ako 15kB.<br />Povolené znaky pre login sú a-z A-Z 0-9 a _ iné znaky nebudú akceptované!</div> 
	</td></tr></table>
</div>
	<?php } ?>
	